# Modern

* **Theme URI:**    https://www.webmandesign.eu/portfolio/modern-wordpress-theme/
* **Author:**       WebMan Design
* **Author URI:**   https://www.webmandesign.eu/
* **License:**      GNU General Public License v3
* **License URI:**  https://www.gnu.org/licenses/gpl-3.0.html


## Description

**Modern** is an accessibility ready blog and portfolio WordPress theme by WebManDesign.eu, perfect for personal portfolios. Optimized for search engines, with responsive design, ready for mobile devices and high resolution displays. Built using secure, speed-optimized, translation-ready code with support for multilingual setup (including RTL languages) and featured posts slideshow on front page. Huge focus was put into readability, putting your website content in front. Compatible with Jetpack plugin and any page builder plugin!

Follow [WebMan Design on Twitter](https://twitter.com/webmandesigneu) and become a fan on [Facebook](https://www.facebook.com/webmandesigneu) for staying informed about theme updates and news.


## Documentation

Theme documentation is available online at https://webmandesign.github.io/docs/modern/


## Demo

Full theme demo website at https://themedemos.webmandesign.eu/modern/


## Browser Compatibility

The theme was tested and is compatible with Chrome, Safari, Opera, Firefox, Edge, Internet Explorer 11 browsers.


## Installation

1. In your admin panel, go to **Appearance &rarr; Themes** and click the "Add New" button.
2. Click "Upload Theme" and "Choose File", then select the theme's .zip file. Click "Install Now".
3. Click "Activate" to use your new theme right away.


## Changelog

*For full theme changelog please see the `changelog.md` file.*


## Copyright

### Theme copyright

**Modern WordPress Theme**
Copyright (c) WebMan Design, https://www.webmandesign.eu/
Distributed under [GPLv3 license](https://www.gnu.org/licenses/gpl-3.0.html)

**Modern is based on Underscores**
Copyright (c) Automattic, Inc.
Distributed under [GPLv2 or later license](https://www.gnu.org/licenses/gpl-2.0.html)
https://underscores.me

### CSS copyright

**Normalize.css**
Copyright (c) Nicolas Gallagher and Jonathan Neal
Distributed under [MIT license](https://opensource.org/licenses/MIT)
https://necolas.github.io/normalize.css/

### JavaScript copyright

**FitVids.JS**
Copyright (c) 2013 Chris Coyier - https://css-tricks.com + Dave Rupert - https://daverupert.com
Distributed under the [WTFPL license](https://sam.zoy.org/wtfpl/)
https://fitvidsjs.com

**slick**
Copyright (c) 2017 Ken Wheeler
Distributed under [MIT license](https://opensource.org/licenses/MIT)
https://github.com/kenwheeler/slick

### PHP scripts copyright

**TGM-Plugin-Activation**
Copyright (c) 2011, Thomas Griffin
Distributed under [GPLv2 or later license](https://www.gnu.org/licenses/gpl-2.0.html)
https://tgmpluginactivation.com

### Fonts copyright

**Fira Sans**
Copyright (c) Carrois, https://carrois.com/
Distributed under [Open Font License](http://scripts.sil.org/cms/scripts/page.php?site_id=nrsi&id=OFL_web)
https://www.google.com/fonts/specimen/Fira+Sans

**Genericons Neue font icons**
Copyright (c) Automattic, Inc.
Distributed under [GPLv2 or later license](https://www.gnu.org/licenses/gpl-2.0.html)
https://genericons.com

### Images copyright

**Bundled images in `images/header/` folder**
Distributed under [CC0 license](https://creativecommons.org/publicdomain/zero/1.0/)
https://pixabay.com/en/canada-lake-black-and-white-calm-407701/
https://pixabay.com/en/leaves-tree-nature-leaf-plant-1345836/
https://pixabay.com/en/trees-plants-nature-forest-grass-2601040/
https://pixabay.com/en/trees-forest-woods-grass-nature-925682/
https://pixabay.com/en/winter-frost-fog-road-cold-dark-622126/
https://stocksnap.io/photo/ZKBPKSFZ7I
https://unsplash.com/photos/w1g2o4J_4Dg

**Bundled images in `images/svg/` folder**
Based on Font Awesome icons, Copyright (c) Dave Gandy
Distributed under [SIL Open Font License 1.1](http://scripts.sil.org/OFL).
http://fontawesome.io

**Images used in theme screenshot and demo website**
Copyright (c) https://pixabay.com
Copyright (c) https://stocksnap.io
Copyright (c) https://unsplash.com
Copyright (c) https://www.pexels.com
License: CC0, https://creativecommons.org/publicdomain/zero/1.0/
